<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div
		class="alert page-actions"
		[class.alert-info]="isReady"
		[class.alert-primary]="isInProgress"
		[class.alert-success]="isComplete"
		[class.alert-danger]="isError"
>
	<ng-content *ngIf="isReady" select="[onReady]"></ng-content>
	<ng-content *ngIf="isInProgress" select="[onProgress]"></ng-content>
	<ng-content *ngIf="isComplete" select="[onComplete]"></ng-content>
	<ng-content *ngIf="isError" select="[onError]"></ng-content>
</div>
